A 2MB RAM expansion for Amstrad Plus
====================================

This implements a standard RAM expansion for Amstrad machines with the following differences:
- No support for CPC 464 and CPC 664 (this requires tricks to support remapping the main RAM in different ways, that I don't want to get into). See Revaldinho's RAM expansion or the XMem for these machines.
- 2MB of RAM, by using extra address bits to provides mirrors of the MMR register. This could cause problems with some software, so a switch allows to limit the memory to 512K.
- Compatibility with Amstrad Plus. On Amstrad Plus, the ASIC can be mapped at address 4000 and this should override any expansion RAM mapping at that address. This however only works with the internal RAM of the 6128+, and all currently available external expansions are not handling this case. This results in some problems with software relying on this behavior (for example Soundtracker DMA).
- LEDs indicating the status of the ASIC (locked/unlocked, and mapped/unmapped).

The expansion can be used on the CPC6128, but it will still track the ASIC state, which can result
in unexpected behavior if your CPC6128 software attempts to unlock the ASIC. Currently I have no
plans to change this (I don't use my 6128 a lot) but I could be convinced otherwise if there is a
lot of demand for a 2MB RAM expansion for the 6128. I will however not consider compatibility with
the CPC464 and CPC664: I do not own these machines, and would be unable to test my work.
